List the parking a lease grants
GET
/api/leases/{leaseId}/parking-rights
const url = 'https://api.getvespy.com/api/leases/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/parking-rights';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.getvespy.com/api/leases/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/parking-rights \ --header 'Authorization: Bearer <token>'One record per kind of parking, with the charge that bills it when there is one. Also lists the lease’s parking charges, which a record can be linked to.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”leaseId
required
string format: uuid
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
parkingCharges
required
parkingRights
required
Array<object>
object
createdAt
required
string format: date-time
effectiveStart
required
string format: date
id
required
string format: uuid
leaseId
required
string format: uuid
linkedCharge
required
organizationId
required
string format: uuid
parkingType
required
string
rateBasis
required
string
stallUnitIds
required
Array<string>
stallUnitNumbers
required
Array<string>
updatedAt
required
string format: date-time
Example
{ "parkingCharges": [ { "kind": "billing_schedule" } ], "parkingRights": [ { "linkedCharge": { "kind": "billing_schedule" }, "parkingType": "unreserved", "rateBasis": "fixed", "rateFrequency": "monthly" } ]}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}